Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037372
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2017-11-23 09:242017-12-11 13:15
ReporterjorgewederagoView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityhighResolutionfixedFixed in VersionRR18Q1
StatusclosedFix in branchFixed in SCM revisioncc8978f65427
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037372: When switching languages in WebPOS if you have something in the RFID you will get an error with it's stacktrace.

DescriptionWhile switching languages in WebPOS, RFID is not switched off. This will cause errors and stack traces will appear in the window.
Steps To Reproduce*Set up a HWM with RFID.
*Configure Use RFID in POS Terminal Type Window
*Remove RFID Timeout.
*Open HWM
*Log in WebPOS
*Change languages.
*On the loading screen you will see that RFID is activated during 1 second.
If a product gets added at that timer the error and stacktrace will appear
Proposed SolutionDo not allow RFID to read anything during loading windows.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
causes defect 0037438 closedranjith_qualiantech_com If RFID is active and you refresh WebPOS while you are in cashup window you get an error 

-  Notes
(0100907)
ranjith_qualiantech_com (developer)
2017-12-02 12:58

Fixed in https://issues.openbravo.com/view.php?id=37349 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/cdc8adb3faaef837ce0820eb1ee43fd78f27b649 [^]
(0100910)
guillermogil (manager)
2017-12-04 09:09

Fix is not fully correct. After refresh the masterdata it should not connect the RFID again always, if it was disconnected before it needs to remain disconnected,
(0100926)
hgbot (developer)
2017-12-05 07:16

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 8bc284496ad75625d048d7de3211770a0d535d64
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Tue Dec 05 11:45:44 2017 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/8bc284496ad75625d048d7de3211770a0d535d64 [^]

Fixed issue 37372 : Restore RFID Status on MasterData reload

---
M web/org.openbravo.retail.posterminal/js/login/model/login-model.js
---
(0100927)
guillermogil (manager)
2017-12-05 08:50

Still not working properly. If I disconnect it and then change the language it needs to be deactivated when the process finishes.
(0100936)
hgbot (developer)
2017-12-07 13:03

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: cc8978f654277e5d43421f0731a9ca47788c4c9f
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Thu Dec 07 13:21:46 2017 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/cc8978f654277e5d43421f0731a9ca47788c4c9f [^]

Fixed issue 37372 : RFID should be switched on after POS window loads

Backed out changeset: 8bc284496ad7

---
M web/org.openbravo.retail.posterminal/js/login/model/login-model.js
---

- Issue History
Date Modified Username Field Change
2017-11-23 09:24 jorgewederago New Issue
2017-11-23 09:24 jorgewederago Assigned To => Retail
2017-11-23 09:24 jorgewederago Triggers an Emergency Pack => No
2017-11-23 09:28 jorgewederago Steps to Reproduce Updated View Revisions
2017-11-27 10:21 jorge-garcia Assigned To Retail => jorge-garcia
2017-11-27 10:21 jorge-garcia Status new => acknowledged
2017-12-01 07:34 guillermogil Summary When switching languages in SCO if you have something in the RFID you will get an error with it's stacktrace. => When switching languages in WebPOS if you have something in the RFID you will get an error with it's stacktrace.
2017-12-01 07:34 guillermogil Description Updated View Revisions
2017-12-01 07:34 guillermogil Steps to Reproduce Updated View Revisions
2017-12-01 15:10 ranjith_qualiantech_com Assigned To jorge-garcia => ranjith_qualiantech_com
2017-12-01 15:10 ranjith_qualiantech_com Status acknowledged => scheduled
2017-12-02 12:58 ranjith_qualiantech_com Note Added: 0100907
2017-12-02 12:58 ranjith_qualiantech_com Status scheduled => resolved
2017-12-02 12:58 ranjith_qualiantech_com Resolution open => fixed
2017-12-04 09:09 guillermogil Note Added: 0100910
2017-12-04 09:10 guillermogil Status resolved => new
2017-12-04 09:10 guillermogil Resolution fixed => open
2017-12-04 11:26 ranjith_qualiantech_com Status new => scheduled
2017-12-05 07:16 hgbot Checkin
2017-12-05 07:16 hgbot Note Added: 0100926
2017-12-05 07:16 hgbot Status scheduled => resolved
2017-12-05 07:16 hgbot Resolution open => fixed
2017-12-05 07:16 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/8bc284496ad75625d048d7de3211770a0d535d64 [^]
2017-12-05 08:50 guillermogil Note Added: 0100927
2017-12-05 08:50 guillermogil Status resolved => new
2017-12-05 08:50 guillermogil Resolution fixed => open
2017-12-05 12:28 ranjith_qualiantech_com Status new => scheduled
2017-12-07 08:54 guillermogil Relationship added causes 0037438
2017-12-07 13:03 hgbot Checkin
2017-12-07 13:03 hgbot Note Added: 0100936
2017-12-07 13:03 hgbot Status scheduled => resolved
2017-12-07 13:03 hgbot Resolution open => fixed
2017-12-07 13:03 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/8bc284496ad75625d048d7de3211770a0d535d64 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/cc8978f654277e5d43421f0731a9ca47788c4c9f [^]
2017-12-11 13:15 marvintm Review Assigned To => marvintm
2017-12-11 13:15 marvintm Status resolved => closed
2017-12-11 13:15 marvintm Fixed in Version => RR18Q1


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker